### Method

# Gtk TreeModelFilter convert_path_to_child_path

#### Declaration [src]

    GtkTreePath*
    gtk_tree_model_filter_convert_path_to_child_path (
      GtkTreeModelFilter* filter,
      GtkTreePath* filter_path
    )

#### Description [src]

Converts `filter_path` to a path on the child model of `filter`. That is, `filter_path` points to a location in `filter`. The returned path will point to the same location in the model not being filtered. If `filter_path` does not point to a location in the child model, `NULL` is returned.

#### Parameters

`filter_path` | `GtkTreePath`
| A `GtkTreePath` to convert.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreePath`
| A newly allocated `GtkTreePath`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.